Subject: Re: [PATCH v2 6/6] doc: push: explain default=simple correctly

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 May 2021 14:14:51 +0900

Felipe Contreras <[email-masked]> writes:

> +If you are working on a centralized workflow (pushing to the same repository you
> +pull from, which is typically `origin`), then you need to configure an upstream
> +branch with the same name.

I suspect it would be simpler to read and easier to understand to
bring the parethesized part front, e.g.

    If you are pushing to the same repository you pull from (which
    is typically `origin`), then you need to ...

as it would avoid "the project is not centralized, but I push to my
own repository and pull from it---what should I do?" questions.

>  +
> +This mode is the default since Git 2.0, and is the safest option suited for
> +beginners.

Nice.